import { type StyleValue } from 'vue';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly column: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly direction: import("ll-plus/es/utils").EpPropFinalized<readonly [import("vue").PropType<"reverse" | "normal">, import("vue").PropType<(e: number) => "reverse" | "normal">], unknown, unknown, "normal", boolean>;
    readonly rotate: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly gradient: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly gradientColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "rgba(255, 255, 255, 1)", boolean>;
    readonly gradientWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly spacing: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly left: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
    readonly top: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
}>, {
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly column: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly direction: import("ll-plus/es/utils").EpPropFinalized<readonly [import("vue").PropType<"reverse" | "normal">, import("vue").PropType<(e: number) => "reverse" | "normal">], unknown, unknown, "normal", boolean>;
        readonly rotate: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly gradient: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly gradientColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "rgba(255, 255, 255, 1)", boolean>;
        readonly gradientWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly spacing: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly left: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
        readonly top: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
    }>> & Readonly<{
        onPause?: (e: boolean) => any;
        onComplete?: (e: boolean) => any;
        "onLoop-complete"?: (e: boolean) => any;
        onResume?: (e: boolean) => any;
    }> & {}>;
    attrs: import("vue").Attrs;
    computedColumn: import("vue").ComputedRef<number>;
    currentStyle: import("vue").ComputedRef<StyleValue>;
    currentAttrs: import("vue").ComputedRef<Pick<import("vue").Attrs, string>>;
    getDirection: (col: number) => "reverse" | "normal";
    readonly Vue3Marquee: import("vue").DefineComponent<{
        vertical: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        direction: {
            type: import("vue").PropType<"reverse" | "normal">;
            default: string;
        };
        duration: {
            type: import("vue").PropType<number>;
            default: number;
        };
        delay: {
            type: import("vue").PropType<number>;
            default: number;
        };
        loop: {
            type: import("vue").PropType<number>;
            default: number;
        };
        clone: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        gradient: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        gradientColor: {
            type: import("vue").PropType<any>;
            default: number[];
        };
        gradientWidth: {
            type: import("vue").PropType<string>;
        };
        gradientLength: {
            type: import("vue").PropType<string>;
        };
        pauseOnHover: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        pauseOnClick: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        pause: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        animateOnOverflowOnly: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
    }, {
        ready: import("vue").Ref<boolean, boolean>;
        contentWidth: import("vue").Ref<number, number>;
        containerWidth: import("vue").Ref<number, number>;
        contentHeight: import("vue").Ref<number, number>;
        containerHeight: import("vue").Ref<number, number>;
        loopCounter: import("vue").Ref<number, number>;
        loopInterval: import("vue").Ref<any, any>;
        mouseOverMarquee: import("vue").Ref<boolean, boolean>;
        mouseDownMarquee: import("vue").Ref<boolean, boolean>;
        minWidth: import("vue").Ref<string, string>;
        minHeight: import("vue").Ref<string, string>;
        animateOnOverflowPause: import("vue").Ref<boolean, boolean>;
        marqueeContent: import("vue").Ref<any, any>;
        marqueeOverlayContainer: import("vue").Ref<any, any>;
        componentKey: import("vue").Ref<number, number>;
        showGradient: import("vue").ComputedRef<boolean>;
        cloneAmount: import("vue").Ref<number, number>;
        ForcesUpdate: () => Promise<void>;
        checkForClone: () => Promise<void>;
        setupMarquee: () => Promise<void>;
        getCurrentStyle: any;
        hoverStarted: () => void;
        hoverEnded: () => void;
        mouseDown: () => void;
        mouseUp: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("onPause" | "onComplete" | "onResume" | "onLoopComplete" | "onOverflowDetected" | "onOverflowCleared")[], "onPause" | "onComplete" | "onResume" | "onLoopComplete" | "onOverflowDetected" | "onOverflowCleared", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        vertical: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        direction: {
            type: import("vue").PropType<"reverse" | "normal">;
            default: string;
        };
        duration: {
            type: import("vue").PropType<number>;
            default: number;
        };
        delay: {
            type: import("vue").PropType<number>;
            default: number;
        };
        loop: {
            type: import("vue").PropType<number>;
            default: number;
        };
        clone: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        gradient: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        gradientColor: {
            type: import("vue").PropType<any>;
            default: number[];
        };
        gradientWidth: {
            type: import("vue").PropType<string>;
        };
        gradientLength: {
            type: import("vue").PropType<string>;
        };
        pauseOnHover: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        pauseOnClick: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        pause: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        animateOnOverflowOnly: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
    }>> & {
        onOnComplete?: (...args: any[]) => any;
        onOnLoopComplete?: (...args: any[]) => any;
        onOnPause?: (...args: any[]) => any;
        onOnResume?: (...args: any[]) => any;
        onOnOverflowDetected?: (...args: any[]) => any;
        onOnOverflowCleared?: (...args: any[]) => any;
    }, {
        vertical: boolean;
        direction: "reverse" | "normal";
        duration: number;
        delay: number;
        loop: number;
        clone: boolean;
        gradient: boolean;
        gradientColor: any;
        pauseOnHover: boolean;
        pauseOnClick: boolean;
        pause: boolean;
        animateOnOverflowOnly: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    readonly complete: (e: boolean) => boolean;
    readonly 'loop-complete': (e: boolean) => boolean;
    readonly pause: (e: boolean) => boolean;
    readonly resume: (e: boolean) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly column: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly direction: import("ll-plus/es/utils").EpPropFinalized<readonly [import("vue").PropType<"reverse" | "normal">, import("vue").PropType<(e: number) => "reverse" | "normal">], unknown, unknown, "normal", boolean>;
    readonly rotate: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly gradient: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly gradientColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "rgba(255, 255, 255, 1)", boolean>;
    readonly gradientWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly spacing: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly left: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
    readonly top: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
}>> & Readonly<{
    onPause?: (e: boolean) => any;
    onComplete?: (e: boolean) => any;
    "onLoop-complete"?: (e: boolean) => any;
    onResume?: (e: boolean) => any;
}>, {
    readonly top: string;
    readonly left: string;
    readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly direction: import("ll-plus/es/utils").EpPropMergeType<readonly [import("vue").PropType<"reverse" | "normal">, import("vue").PropType<(e: number) => "reverse" | "normal">], unknown, unknown>;
    readonly rotate: number;
    readonly column: number;
    readonly gradient: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly gradientColor: string;
    readonly gradientWidth: number;
    readonly spacing: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
